	function handleData(data, callback) {
		callback(data);
	}

	function initCalendar () {
		var date = new Date();
		var d = date.getDate();
		var m = date.getMonth();
		var y = date.getFullYear();
		var self = this;

		if (!this.calendar) {
			this.calendar = $("#calview").fullCalendar({
				header: false,
				selectable: false,
				selectHelper: false,
				editable: false,
				events: function(start, end, callback) {
					ssbevent_lock();
					$.getJSON("ssb-json://localhost/allEntries.json", function(json) {
						handleData(json, callback);
						ssbevent_unlock();
					});
				},
				select: function(startDate, endDate, allDay, jsEvent, view) {
					console.log("select");
				},
				eventClick: function(calEvent, jsEvent, view) {
					var eid = calEvent.objectid;
					ssbcallback("select", eid);
				}
			});
		}
	}


	function select_item(recid) {
		ssbcallback("select", recid);
	}


	$(function() {
		window.onssbmessage = function(cmd, arg) {
			if (cmd == "updated") {
				update_list();
			}
			else if (cmd == "selected") {
				//calendar.fullCalendar('gotoDate', 2);
			}
		};

		function update_list() {
			this.calendar.fullCalendar('refetchEvents');
		}

		initCalendar ();
	});
